import { defineStore } from 'pinia'
import { ref } from 'vue'

const initState = {
  remberPassword: false,
  username: '',
  password: '',
}

export const useSystemConfigStore = defineStore(
  'systemConfig',
  () => {
    const systemConfigInfo = ref<any>({ ...initState })

    const setConfigInfo = (val: any) => {
      systemConfigInfo.value = val
    }

    const clearConfigInfo = () => {
      systemConfigInfo.value = { ...initState }
    }
    // 一般没有reset需求，不需要的可以删除
    const reset = () => {
      systemConfigInfo.value = { ...initState }
    }

    return {
      systemConfigInfo,
      setConfigInfo,
      clearConfigInfo,
      reset,
    }
  },
  {
    persist: true,
  },
)
